VTK: vtkRenderedGraphRepresentation Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRenderedGraphRepresentation Class Reference

`#include <vtkRenderedGraphRepresentation.h>`

Inheritance diagram for vtkRenderedGraphRepresentation:
[legend]
Collaboration diagram for vtkRenderedGraphRepresentation:
[legend]

## Public Types
typedef vtkRenderedRepresentation | Superclass
Public Types inherited from vtkRenderedRepresentation
typedef vtkDataRepresentation | Superclass
Public Types inherited from vtkDataRepresentation
typedef vtkPassInputTypeAlgorithm | Superclass
Public Types inherited from vtkPassInputTypeAlgorithm
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkRenderedGraphRepresentation * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetVertexLabelArrayName (const char *name)
virtual const char * | GetVertexLabelArrayName ()
virtual void | SetVertexLabelPriorityArrayName (const char *name)
virtual const char * | GetVertexLabelPriorityArrayName ()
virtual void | SetVertexLabelVisibility (bool b)
virtual bool | GetVertexLabelVisibility ()
virtual void | VertexLabelVisibilityOn ()
virtual void | VertexLabelVisibilityOff ()
virtual void | SetVertexLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetVertexLabelTextProperty ()
virtual void | SetVertexHoverArrayName (const char *)
virtual char * | GetVertexHoverArrayName ()
virtual void | SetEdgeLabelArrayName (const char *name)
virtual const char * | GetEdgeLabelArrayName ()
virtual void | SetEdgeLabelPriorityArrayName (const char *name)
virtual const char * | GetEdgeLabelPriorityArrayName ()
virtual void | SetEdgeLabelVisibility (bool b)
virtual bool | GetEdgeLabelVisibility ()
virtual void | EdgeLabelVisibilityOn ()
virtual void | EdgeLabelVisibilityOff ()
virtual void | SetEdgeLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetEdgeLabelTextProperty ()
virtual void | SetEdgeHoverArrayName (const char *)
virtual char * | GetEdgeHoverArrayName ()
virtual void | SetVertexIconArrayName (const char *name)
virtual const char * | GetVertexIconArrayName ()
virtual void | SetVertexIconPriorityArrayName (const char *name)
virtual const char * | GetVertexIconPriorityArrayName ()
virtual void | SetVertexIconVisibility (bool b)
virtual bool | GetVertexIconVisibility ()
virtual void | VertexIconVisibilityOn ()
virtual void | VertexIconVisibilityOff ()
virtual void | AddVertexIconType (const char *name, int type)
virtual void | ClearVertexIconTypes ()
virtual void | SetUseVertexIconTypeMap (bool b)
virtual bool | GetUseVertexIconTypeMap ()
virtual void | UseVertexIconTypeMapOn ()
virtual void | UseVertexIconTypeMapOff ()
virtual void | SetVertexIconAlignment (int align)
virtual int | GetVertexIconAlignment ()
virtual void | SetVertexSelectedIcon (int icon)
virtual int | GetVertexSelectedIcon ()
virtual void | SetVertexDefaultIcon (int icon)
virtual int | GetVertexDefaultIcon ()
virtual void | SetEdgeIconArrayName (const char *name)
virtual const char * | GetEdgeIconArrayName ()
virtual void | SetEdgeIconPriorityArrayName (const char *name)
virtual const char * | GetEdgeIconPriorityArrayName ()
virtual void | SetEdgeIconVisibility (bool b)
virtual bool | GetEdgeIconVisibility ()
virtual void | EdgeIconVisibilityOn ()
virtual void | EdgeIconVisibilityOff ()
virtual void | AddEdgeIconType (const char *name, int type)
virtual void | ClearEdgeIconTypes ()
virtual void | SetUseEdgeIconTypeMap (bool b)
virtual bool | GetUseEdgeIconTypeMap ()
virtual void | UseEdgeIconTypeMapOn ()
virtual void | UseEdgeIconTypeMapOff ()
virtual void | SetEdgeIconAlignment (int align)
virtual int | GetEdgeIconAlignment ()
virtual void | SetColorVerticesByArray (bool b)
virtual bool | GetColorVerticesByArray ()
virtual void | ColorVerticesByArrayOn ()
virtual void | ColorVerticesByArrayOff ()
virtual void | SetVertexColorArrayName (const char *name)
virtual const char * | GetVertexColorArrayName ()
virtual void | SetColorEdgesByArray (bool b)
virtual bool | GetColorEdgesByArray ()
virtual void | ColorEdgesByArrayOn ()
virtual void | ColorEdgesByArrayOff ()
virtual void | SetEdgeColorArrayName (const char *name)
virtual const char * | GetEdgeColorArrayName ()
virtual void | SetEnableVerticesByArray (bool b)
virtual bool | GetEnableVerticesByArray ()
virtual void | EnableVerticesByArrayOn ()
virtual void | EnableVerticesByArrayOff ()
virtual void | SetEnabledVerticesArrayName (const char *name)
virtual const char * | GetEnabledVerticesArrayName ()
virtual void | SetEnableEdgesByArray (bool b)
virtual bool | GetEnableEdgesByArray ()
virtual void | EnableEdgesByArrayOn ()
virtual void | EnableEdgesByArrayOff ()
virtual void | SetEnabledEdgesArrayName (const char *name)
virtual const char * | GetEnabledEdgesArrayName ()
virtual void | SetEdgeVisibility (bool b)
virtual bool | GetEdgeVisibility ()
virtual void | EdgeVisibilityOn ()
virtual void | EdgeVisibilityOff ()
void | SetEdgeSelection (bool b)
bool | GetEdgeSelection ()
void | SetLayoutStrategyToRandom ()
| Set predefined layout strategies. More...
void | SetLayoutStrategyToForceDirected ()
void | SetLayoutStrategyToSimple2D ()
void | SetLayoutStrategyToClustering2D ()
void | SetLayoutStrategyToCommunity2D ()
void | SetLayoutStrategyToFast2D ()
void | SetLayoutStrategyToPassThrough ()
void | SetLayoutStrategyToCircular ()
void | SetLayoutStrategyToTree ()
void | SetLayoutStrategyToCosmicTree ()
void | SetLayoutStrategyToCone ()
void | SetLayoutStrategyToSpanTree ()
virtual void | SetLayoutStrategyToAssignCoordinates (const char *xarr, const char *yarr=nullptr, const char *zarr=nullptr)
| Set the layout strategy to use coordinates from arrays. More...
virtual void | SetLayoutStrategyToTree (bool radial, double angle=90, double leafSpacing=0.9, double logSpacing=1.0)
| Set the layout strategy to a tree layout. More...
virtual void | SetLayoutStrategyToCosmicTree (const char *nodeSizeArrayName, bool sizeLeafNodesOnly=true, int layoutDepth=0, vtkIdType layoutRoot=-1)
| Set the layout strategy to a cosmic tree layout. More...
virtual void | SetEdgeLayoutStrategyToGeo (double explodeFactor=0.2)
| Set the edge layout strategy to a geospatial arced strategy appropriate for vtkGeoView. More...
void | ApplyViewTheme (vtkViewTheme *theme) override
| Apply a theme to this representation. More...
virtual bool | IsLayoutComplete ()
| Whether the current graph layout is complete. More...
virtual void | UpdateLayout ()
| Performs another iteration on the graph layout. More...
void | ComputeSelectedGraphBounds (double bounds[6])
| Compute the bounding box of the selected subgraph. More...
virtual void | SetHideVertexLabelsOnInteraction (bool)
| Whether to hide the display of vertex labels during mouse interaction. More...
virtual bool | GetHideVertexLabelsOnInteraction ()
| Whether to hide the display of vertex labels during mouse interaction. More...
virtual void | HideVertexLabelsOnInteractionOn ()
| Whether to hide the display of vertex labels during mouse interaction. More...
virtual void | HideVertexLabelsOnInteractionOff ()
| Whether to hide the display of vertex labels during mouse interaction. More...
virtual void | SetHideEdgeLabelsOnInteraction (bool)
| Whether to hide the display of edge labels during mouse interaction. More...
virtual bool | GetHideEdgeLabelsOnInteraction ()
| Whether to hide the display of edge labels during mouse interaction. More...
virtual void | HideEdgeLabelsOnInteractionOn ()
| Whether to hide the display of edge labels during mouse interaction. More...
virtual void | HideEdgeLabelsOnInteractionOff ()
| Whether to hide the display of edge labels during mouse interaction. More...
virtual void | SetVertexIconSelectionMode (int mode)
| Set the mode to one of. More...
virtual int | GetVertexIconSelectionMode ()
| Set the mode to one of. More...
virtual void | SetVertexIconSelectionModeToSelectedIcon ()
| Set the mode to one of. More...
virtual void | SetVertexIconSelectionModeToSelectedOffset ()
| Set the mode to one of. More...
virtual void | SetVertexIconSelectionModeToAnnotationIcon ()
| Set the mode to one of. More...
virtual void | SetVertexIconSelectionModeToIgnoreSelection ()
| Set the mode to one of. More...
virtual void | SetLayoutStrategy (vtkGraphLayoutStrategy *strategy)
| Set/get the graph layout strategy. More...
virtual vtkGraphLayoutStrategy * | GetLayoutStrategy ()
| Set/get the graph layout strategy. More...
virtual void | SetLayoutStrategy (const char *name)
| Get/set the layout strategy by name. More...
virtual char * | GetLayoutStrategyName ()
| Get/set the layout strategy by name. More...
virtual void | SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy)
| Set/get the graph layout strategy. More...
virtual vtkEdgeLayoutStrategy * | GetEdgeLayoutStrategy ()
| Set/get the graph layout strategy. More...
void | SetEdgeLayoutStrategyToArcParallel ()
| Set/get the graph layout strategy. More...
void | SetEdgeLayoutStrategyToPassThrough ()
| Set/get the graph layout strategy. More...
virtual void | SetEdgeLayoutStrategy (const char *name)
| Set the edge layout strategy by name. More...
virtual char * | GetEdgeLayoutStrategyName ()
| Set the edge layout strategy by name. More...
virtual void | SetGlyphType (int type)
| Set the graph vertex glyph type. More...
virtual int | GetGlyphType ()
| Set the graph vertex glyph type. More...
virtual void | SetScaling (bool b)
| Set whether to scale vertex glyphs. More...
virtual bool | GetScaling ()
| Set whether to scale vertex glyphs. More...
virtual void | ScalingOn ()
| Set whether to scale vertex glyphs. More...
virtual void | ScalingOff ()
| Set whether to scale vertex glyphs. More...
virtual void | SetScalingArrayName (const char *name)
| Set the glyph scaling array name. More...
virtual const char * | GetScalingArrayName ()
| Set the glyph scaling array name. More...
virtual void | SetVertexScalarBarVisibility (bool b)
| Vertex/edge scalar bar visibility. More...
virtual bool | GetVertexScalarBarVisibility ()
| Vertex/edge scalar bar visibility. More...
virtual void | SetEdgeScalarBarVisibility (bool b)
| Vertex/edge scalar bar visibility. More...
virtual bool | GetEdgeScalarBarVisibility ()
| Vertex/edge scalar bar visibility. More...
virtual vtkScalarBarWidget * | GetVertexScalarBar ()
| Obtain the scalar bar widget used to draw a legend for the vertices/edges. More...
virtual vtkScalarBarWidget * | GetEdgeScalarBar ()
| Obtain the scalar bar widget used to draw a legend for the vertices/edges. More...
Public Member Functions inherited from vtkRenderedRepresentation
vtkRenderedRepresentation * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetLabelRenderMode (int)
| Set the label render mode. More...
virtual int | GetLabelRenderMode ()
| Set the label render mode. More...
Public Member Functions inherited from vtkDataRepresentation
vtkDataRepresentation * | NewInstance () const
vtkAlgorithmOutput * | GetInputConnection (int port=0, int index=0)
| Convenience override method for obtaining the input connection without specifying the port or index. More...
vtkAnnotationLink * | GetAnnotationLink ()
| The annotation link for this representation. More...
void | SetAnnotationLink (vtkAnnotationLink *link)
virtual void | ApplyViewTheme (vtkViewTheme *vtkNotUsed(theme))
| Apply a theme to this representation. More...
void | Select (vtkView *view, vtkSelection *selection)
| The view calls this method when a selection occurs. More...
void | Select (vtkView *view, vtkSelection *selection, bool extend)
void | Annotate (vtkView *view, vtkAnnotationLayers *annotations)
| Analogous to Select(). More...
void | Annotate (vtkView *view, vtkAnnotationLayers *annotations, bool extend)
void | UpdateSelection (vtkSelection *selection)
| Updates the selection in the selection link and fires a selection change event. More...
void | UpdateSelection (vtkSelection *selection, bool extend)
void | UpdateAnnotations (vtkAnnotationLayers *annotations)
| Updates the selection in the selection link and fires a selection change event. More...
void | UpdateAnnotations (vtkAnnotationLayers *annotations, bool extend)
virtual vtkAlgorithmOutput * | GetInternalAnnotationOutputPort ()
| The output port that contains the annotations whose selections are localized for a particular input data object. More...
virtual vtkAlgorithmOutput * | GetInternalAnnotationOutputPort (int port)
virtual vtkAlgorithmOutput * | GetInternalAnnotationOutputPort (int port, int conn)
virtual vtkAlgorithmOutput * | GetInternalSelectionOutputPort ()
| The output port that contains the selection associated with the current annotation (normally the interactive selection). More...
virtual vtkAlgorithmOutput * | GetInternalSelectionOutputPort (int port)
virtual vtkAlgorithmOutput * | GetInternalSelectionOutputPort (int port, int conn)
virtual vtkAlgorithmOutput * | GetInternalOutputPort ()
| Retrieves an output port for the input data object at the specified port and connection index. More...
virtual vtkAlgorithmOutput * | GetInternalOutputPort (int port)
virtual vtkAlgorithmOutput * | GetInternalOutputPort (int port, int conn)
virtual void | SetSelectable (bool)
| Whether this representation is able to handle a selection. More...
virtual bool | GetSelectable ()
| Whether this representation is able to handle a selection. More...
virtual void | SelectableOn ()
| Whether this representation is able to handle a selection. More...
virtual void | SelectableOff ()
| Whether this representation is able to handle a selection. More...
virtual void | SetSelectionType (int)
| Set the selection type produced by this view. More...
virtual int | GetSelectionType ()
| Set the selection type produced by this view. More...
virtual void | SetSelectionArrayNames (vtkStringArray *names)
| If a VALUES selection, the arrays used to produce a selection. More...
virtual vtkStringArray * | GetSelectionArrayNames ()
| If a VALUES selection, the arrays used to produce a selection. More...
virtual void | SetSelectionArrayName (const char *name)
| If a VALUES selection, the array used to produce a selection. More...
virtual const char * | GetSelectionArrayName ()
| If a VALUES selection, the array used to produce a selection. More...
Public Member Functions inherited from vtkPassInputTypeAlgorithm
vtkPassInputTypeAlgorithm * | NewInstance () const
vtkDataObject * | GetInput ()
| Get the input data object. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
| see vtkAlgorithm for details More...
vtkDataObject * | GetOutput ()
| Get the output data object for a port on this algorithm. More...
vtkDataObject * | GetOutput (int)
| Get the output data object for a port on this algorithm. More...
vtkPolyData * | GetPolyDataOutput ()
| Get the output as a concrete type. More...
vtkStructuredPoints * | GetStructuredPointsOutput ()
| Get the output as a concrete type. More...
vtkImageData * | GetImageDataOutput ()
| Get the output as a concrete type. More...
vtkStructuredGrid * | GetStructuredGridOutput ()
| Get the output as a concrete type. More...
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
| Get the output as a concrete type. More...
vtkRectilinearGrid * | GetRectilinearGridOutput ()
| Get the output as a concrete type. More...
vtkGraph * | GetGraphOutput ()
| Get the output as a concrete type. More...
vtkMolecule * | GetMoleculeOutput ()
| Get the output as a concrete type. More...
vtkTable * | GetTableOutput ()
| Get the output as a concrete type. More...
vtkHyperTreeGrid * | GetHyperTreeGridOutput ()
| Get the output as a concrete type. More...
void | SetInputData (vtkDataObject *)
| Assign a data object as input. More...
void | SetInputData (int, vtkDataObject *)
| Assign a data object as input. More...
void | AddInputData (vtkDataObject *)
| Assign a data object as input. More...
void | AddInputData (int, vtkDataObject *)
| Assign a data object as input. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkRenderedGraphRepresentation * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderedGraphRepresentation * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderedRepresentation
static vtkRenderedRepresentation * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderedRepresentation * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkDataRepresentation
static vtkDataRepresentation * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataRepresentation * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkPassInputTypeAlgorithm
static vtkPassInputTypeAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPassInputTypeAlgorithm * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkRenderedGraphRepresentation ()
| ~vtkRenderedGraphRepresentation () override
void | PrepareForRendering (vtkRenderView *view) override
| The view will call this method before every render. More...
vtkSelection * | ConvertSelection (vtkView *view, vtkSelection *sel) override
| Convert the selection to a type appropriate for sharing with other representations through vtkAnnotationLink, possibly using the view. More...
std::string | GetHoverStringInternal (vtkSelection *sel) override
| Subclasses may override this method to generate the hover text. More...
int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
| Connect inputs to internal pipeline. More...
virtual void | SetVertexColorArrayNameInternal (const char *)
virtual char * | GetVertexColorArrayNameInternal ()
virtual void | SetEdgeColorArrayNameInternal (const char *)
virtual char * | GetEdgeColorArrayNameInternal ()
virtual void | SetScalingArrayNameInternal (const char *)
virtual char * | GetScalingArrayNameInternal ()
virtual void | SetLayoutStrategyName (const char *)
virtual void | SetEdgeLayoutStrategyName (const char *)
bool | AddToView (vtkView *view) override
| Called by the view to add/remove this representation. More...
bool | RemoveFromView (vtkView *view) override
| Called by the view to add/remove this representation. More...
Protected Member Functions inherited from vtkRenderedRepresentation
| vtkRenderedRepresentation ()
| ~vtkRenderedRepresentation () override
std::string | GetHoverString (vtkView *view, vtkProp *prop, vtkIdType cell)
| Obtains the hover text for a particular prop and cell. More...
void | AddPropOnNextRender (vtkProp *p)
| Subclasses may call these methods to add or remove props from the representation. More...
void | RemovePropOnNextRender (vtkProp *p)
| Subclasses may call these methods to add or remove props from the representation. More...
Protected Member Functions inherited from vtkDataRepresentation
| vtkDataRepresentation ()
| ~vtkDataRepresentation () override
virtual void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData)
| Clear the input shallow copy caches if the algorithm is in "release data" mode. More...
virtual bool | AddToView (vtkView *vtkNotUsed(view))
| Adds the representation to the view. More...
virtual bool | RemoveFromView (vtkView *vtkNotUsed(view))
| Removes the representation to the view. More...
virtual vtkAnnotationLayers * | ConvertAnnotations (vtkView *view, vtkAnnotationLayers *annotations)
| Analogous to ConvertSelection(), allows subclasses to manipulate annotations before passing them off to vtkAnnotationLink. More...
vtkTrivialProducer * | GetInternalInput (int port, int conn)
void | SetInternalInput (int port, int conn, vtkTrivialProducer *producer)
virtual void | SetAnnotationLinkInternal (vtkAnnotationLink *link)
| The annotation link for this representation. More...
Protected Member Functions inherited from vtkPassInputTypeAlgorithm
| vtkPassInputTypeAlgorithm ()
| ~vtkPassInputTypeAlgorithm () override=default
virtual int | RequestDataObject (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| This is called within ProcessRequest when a request asks the algorithm to create empty output data objects. More...
virtual int | RequestInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called within ProcessRequest when a request asks for Information. More...
virtual int | RequestUpdateTime (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called within ProcessRequest when a request ask for temporal information to be updated. More...
virtual int | RequestUpdateTimeDependentInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called within ProcessRequest when a request ask for meta information to be updated. More...
virtual int | RequestUpdateExtent (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| This is called within ProcessRequest when each filter in the pipeline decides what portion of its input is needed to create the portion of its output that the downstream filter asks for. More...
int | FillOutputPortInformation (int port, vtkInformation *info) override
| Fill the output port information objects for this algorithm. More...
int | FillInputPortInformation (int port, vtkInformation *info) override
| Fill the input port information objects for this algorithm. More...
vtkDataObject * | GetInput (int port)
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
char * | VertexHoverArrayName
char * | EdgeHoverArrayName
char * | VertexColorArrayNameInternal
char * | EdgeColorArrayNameInternal
char * | ScalingArrayNameInternal
char * | LayoutStrategyName
char * | EdgeLayoutStrategyName
bool | HideVertexLabelsOnInteraction
bool | HideEdgeLabelsOnInteraction
bool | EdgeSelection
vtkSmartPointer< vtkApplyColors > | ApplyColors
| Internal filter classes. More...
vtkSmartPointer< vtkVertexDegree > | VertexDegree
| Internal filter classes. More...
vtkSmartPointer< vtkPolyData > | EmptyPolyData
| Internal filter classes. More...
vtkSmartPointer< vtkEdgeCenters > | EdgeCenters
| Internal filter classes. More...
vtkSmartPointer< vtkGraphToPoints > | GraphToPoints
| Internal filter classes. More...
vtkSmartPointer< vtkPointSetToLabelHierarchy > | VertexLabelHierarchy
| Internal filter classes. More...
vtkSmartPointer< vtkPointSetToLabelHierarchy > | EdgeLabelHierarchy
| Internal filter classes. More...
vtkSmartPointer< vtkGraphLayout > | Layout
| Internal filter classes. More...
vtkSmartPointer< vtkPerturbCoincidentVertices > | Coincident
| Internal filter classes. More...
vtkSmartPointer< vtkEdgeLayout > | EdgeLayout
| Internal filter classes. More...
vtkSmartPointer< vtkGraphToPolyData > | GraphToPoly
| Internal filter classes. More...
vtkSmartPointer< vtkPolyDataMapper > | EdgeMapper
| Internal filter classes. More...
vtkSmartPointer< vtkActor > | EdgeActor
| Internal filter classes. More...
vtkSmartPointer< vtkGraphToGlyphs > | VertexGlyph
| Internal filter classes. More...
vtkSmartPointer< vtkPolyDataMapper > | VertexMapper
| Internal filter classes. More...
vtkSmartPointer< vtkActor > | VertexActor
| Internal filter classes. More...
vtkSmartPointer< vtkGraphToGlyphs > | OutlineGlyph
| Internal filter classes. More...
vtkSmartPointer< vtkPolyDataMapper > | OutlineMapper
| Internal filter classes. More...
vtkSmartPointer< vtkActor > | OutlineActor
| Internal filter classes. More...
vtkSmartPointer< vtkScalarBarWidget > | VertexScalarBar
| Internal filter classes. More...
vtkSmartPointer< vtkScalarBarWidget > | EdgeScalarBar
| Internal filter classes. More...
vtkSmartPointer< vtkRemoveHiddenData > | RemoveHiddenGraph
| Internal filter classes. More...
vtkSmartPointer< vtkApplyIcons > | ApplyVertexIcons
| Internal filter classes. More...
vtkSmartPointer< vtkGraphToPoints > | VertexIconPoints
| Internal filter classes. More...
vtkSmartPointer< vtkTransformCoordinateSystems > | VertexIconTransform
| Internal filter classes. More...
vtkSmartPointer< vtkIconGlyphFilter > | VertexIconGlyph
| Internal filter classes. More...
vtkSmartPointer< vtkPolyDataMapper2D > | VertexIconMapper
| Internal filter classes. More...
vtkSmartPointer< vtkTexturedActor2D > | VertexIconActor
| Internal filter classes. More...
Protected Attributes inherited from vtkRenderedRepresentation
int | LabelRenderMode
Protected Attributes inherited from vtkDataRepresentation
bool | Selectable
int | SelectionType
| The selection type created by the view. More...
vtkStringArray * | SelectionArrayNames
| If a VALUES selection, the array names used in the selection. More...
Command * | Observer
vtkAnnotationLink * | AnnotationLinkInternal
| The annotation link for this representation. More...
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

Online Examples:

Tests:
  vtkRenderedGraphRepresentation (Tests)

Definition at line 61 of file vtkRenderedGraphRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkRenderedRepresentation vtkRenderedGraphRepresentation::Superclass

Definition at line 65 of file vtkRenderedGraphRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkRenderedGraphRepresentation()

vtkRenderedGraphRepresentation::vtkRenderedGraphRepresentation | ( |  | ) |
| protected

## ◆ ~vtkRenderedGraphRepresentation()

vtkRenderedGraphRepresentation::~vtkRenderedGraphRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkRenderedGraphRepresentation* vtkRenderedGraphRepresentation::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkRenderedGraphRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkRenderedGraphRepresentation::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkRenderedRepresentation.

Reimplemented in vtkRenderedHierarchyRepresentation.

## ◆ SafeDownCast()

static vtkRenderedGraphRepresentation* vtkRenderedGraphRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkRenderedGraphRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkRenderedRepresentation.

Reimplemented in vtkRenderedHierarchyRepresentation.

## ◆ NewInstance()

vtkRenderedGraphRepresentation* vtkRenderedGraphRepresentation::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkRenderedGraphRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkDataRepresentation.

Reimplemented in vtkRenderedHierarchyRepresentation.

## ◆ SetVertexLabelArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexLabelArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetVertexLabelArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetVertexLabelArrayName | ( |  | ) |
| virtual

## ◆ SetVertexLabelPriorityArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexLabelPriorityArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetVertexLabelPriorityArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetVertexLabelPriorityArrayName | ( |  | ) |
| virtual

## ◆ SetVertexLabelVisibility()

virtual void vtkRenderedGraphRepresentation::SetVertexLabelVisibility | ( | bool | b | ) |
| virtual

## ◆ GetVertexLabelVisibility()

virtual bool vtkRenderedGraphRepresentation::GetVertexLabelVisibility | ( |  | ) |
| virtual

## ◆ VertexLabelVisibilityOn()

virtual void vtkRenderedGraphRepresentation::VertexLabelVisibilityOn | ( |  | ) |
| virtual

## ◆ VertexLabelVisibilityOff()

virtual void vtkRenderedGraphRepresentation::VertexLabelVisibilityOff | ( |  | ) |
| virtual

## ◆ SetVertexLabelTextProperty()

virtual void vtkRenderedGraphRepresentation::SetVertexLabelTextProperty | ( | vtkTextProperty * | p | ) |
| virtual

## ◆ GetVertexLabelTextProperty()

virtual vtkTextProperty* vtkRenderedGraphRepresentation::GetVertexLabelTextProperty | ( |  | ) |
| virtual

## ◆ SetVertexHoverArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexHoverArrayName | ( | const char * |  | ) |
| virtual

## ◆ GetVertexHoverArrayName()

virtual char* vtkRenderedGraphRepresentation::GetVertexHoverArrayName | ( |  | ) |
| virtual

## ◆ SetHideVertexLabelsOnInteraction()

virtual void vtkRenderedGraphRepresentation::SetHideVertexLabelsOnInteraction | ( | bool |  | ) |
| virtual

Whether to hide the display of vertex labels during mouse interaction.

Default is off.

## ◆ GetHideVertexLabelsOnInteraction()

virtual bool vtkRenderedGraphRepresentation::GetHideVertexLabelsOnInteraction | ( |  | ) |
| virtual

Whether to hide the display of vertex labels during mouse interaction.

Default is off.

## ◆ HideVertexLabelsOnInteractionOn()

virtual void vtkRenderedGraphRepresentation::HideVertexLabelsOnInteractionOn | ( |  | ) |
| virtual

Whether to hide the display of vertex labels during mouse interaction.

Default is off.

## ◆ HideVertexLabelsOnInteractionOff()

virtual void vtkRenderedGraphRepresentation::HideVertexLabelsOnInteractionOff | ( |  | ) |
| virtual

Whether to hide the display of vertex labels during mouse interaction.

Default is off.

## ◆ SetEdgeLabelArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeLabelArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEdgeLabelArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEdgeLabelArrayName | ( |  | ) |
| virtual

## ◆ SetEdgeLabelPriorityArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeLabelPriorityArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEdgeLabelPriorityArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEdgeLabelPriorityArrayName | ( |  | ) |
| virtual

## ◆ SetEdgeLabelVisibility()

virtual void vtkRenderedGraphRepresentation::SetEdgeLabelVisibility | ( | bool | b | ) |
| virtual

## ◆ GetEdgeLabelVisibility()

virtual bool vtkRenderedGraphRepresentation::GetEdgeLabelVisibility | ( |  | ) |
| virtual

## ◆ EdgeLabelVisibilityOn()

virtual void vtkRenderedGraphRepresentation::EdgeLabelVisibilityOn | ( |  | ) |
| virtual

## ◆ EdgeLabelVisibilityOff()

virtual void vtkRenderedGraphRepresentation::EdgeLabelVisibilityOff | ( |  | ) |
| virtual

## ◆ SetEdgeLabelTextProperty()

virtual void vtkRenderedGraphRepresentation::SetEdgeLabelTextProperty | ( | vtkTextProperty * | p | ) |
| virtual

## ◆ GetEdgeLabelTextProperty()

virtual vtkTextProperty* vtkRenderedGraphRepresentation::GetEdgeLabelTextProperty | ( |  | ) |
| virtual

## ◆ SetEdgeHoverArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeHoverArrayName | ( | const char * |  | ) |
| virtual

## ◆ GetEdgeHoverArrayName()

virtual char* vtkRenderedGraphRepresentation::GetEdgeHoverArrayName | ( |  | ) |
| virtual

## ◆ SetHideEdgeLabelsOnInteraction()

virtual void vtkRenderedGraphRepresentation::SetHideEdgeLabelsOnInteraction | ( | bool |  | ) |
| virtual

Whether to hide the display of edge labels during mouse interaction.

Default is off.

## ◆ GetHideEdgeLabelsOnInteraction()

virtual bool vtkRenderedGraphRepresentation::GetHideEdgeLabelsOnInteraction | ( |  | ) |
| virtual

Whether to hide the display of edge labels during mouse interaction.

Default is off.

## ◆ HideEdgeLabelsOnInteractionOn()

virtual void vtkRenderedGraphRepresentation::HideEdgeLabelsOnInteractionOn | ( |  | ) |
| virtual

Whether to hide the display of edge labels during mouse interaction.

Default is off.

## ◆ HideEdgeLabelsOnInteractionOff()

virtual void vtkRenderedGraphRepresentation::HideEdgeLabelsOnInteractionOff | ( |  | ) |
| virtual

Whether to hide the display of edge labels during mouse interaction.

Default is off.

## ◆ SetVertexIconArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexIconArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetVertexIconArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetVertexIconArrayName | ( |  | ) |
| virtual

## ◆ SetVertexIconPriorityArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexIconPriorityArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetVertexIconPriorityArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetVertexIconPriorityArrayName | ( |  | ) |
| virtual

## ◆ SetVertexIconVisibility()

virtual void vtkRenderedGraphRepresentation::SetVertexIconVisibility | ( | bool | b | ) |
| virtual

## ◆ GetVertexIconVisibility()

virtual bool vtkRenderedGraphRepresentation::GetVertexIconVisibility | ( |  | ) |
| virtual

## ◆ VertexIconVisibilityOn()

virtual void vtkRenderedGraphRepresentation::VertexIconVisibilityOn | ( |  | ) |
| virtual

## ◆ VertexIconVisibilityOff()

virtual void vtkRenderedGraphRepresentation::VertexIconVisibilityOff | ( |  | ) |
| virtual

## ◆ AddVertexIconType()

virtual void vtkRenderedGraphRepresentation::AddVertexIconType | ( | const char * | name,
|  | int | type
| ) |  |
| virtual

## ◆ ClearVertexIconTypes()

virtual void vtkRenderedGraphRepresentation::ClearVertexIconTypes | ( |  | ) |
| virtual

## ◆ SetUseVertexIconTypeMap()

virtual void vtkRenderedGraphRepresentation::SetUseVertexIconTypeMap | ( | bool | b | ) |
| virtual

## ◆ GetUseVertexIconTypeMap()

virtual bool vtkRenderedGraphRepresentation::GetUseVertexIconTypeMap | ( |  | ) |
| virtual

## ◆ UseVertexIconTypeMapOn()

virtual void vtkRenderedGraphRepresentation::UseVertexIconTypeMapOn | ( |  | ) |
| virtual

## ◆ UseVertexIconTypeMapOff()

virtual void vtkRenderedGraphRepresentation::UseVertexIconTypeMapOff | ( |  | ) |
| virtual

## ◆ SetVertexIconAlignment()

virtual void vtkRenderedGraphRepresentation::SetVertexIconAlignment | ( | int | align | ) |
| virtual

## ◆ GetVertexIconAlignment()

virtual int vtkRenderedGraphRepresentation::GetVertexIconAlignment | ( |  | ) |
| virtual

## ◆ SetVertexSelectedIcon()

virtual void vtkRenderedGraphRepresentation::SetVertexSelectedIcon | ( | int | icon | ) |
| virtual

## ◆ GetVertexSelectedIcon()

virtual int vtkRenderedGraphRepresentation::GetVertexSelectedIcon | ( |  | ) |
| virtual

## ◆ SetVertexDefaultIcon()

virtual void vtkRenderedGraphRepresentation::SetVertexDefaultIcon | ( | int | icon | ) |
| virtual

## ◆ GetVertexDefaultIcon()

virtual int vtkRenderedGraphRepresentation::GetVertexDefaultIcon | ( |  | ) |
| virtual

## ◆ SetVertexIconSelectionMode()

virtual void vtkRenderedGraphRepresentation::SetVertexIconSelectionMode | ( | int | mode | ) |
| virtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

## ◆ GetVertexIconSelectionMode()

virtual int vtkRenderedGraphRepresentation::GetVertexIconSelectionMode | ( |  | ) |
| virtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

## ◆ SetVertexIconSelectionModeToSelectedIcon()

virtual void vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToSelectedIcon | ( |  | ) |
| inlinevirtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

Definition at line 149 of file vtkRenderedGraphRepresentation.h.

## ◆ SetVertexIconSelectionModeToSelectedOffset()

virtual void vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToSelectedOffset | ( |  | ) |
| inlinevirtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

Definition at line 150 of file vtkRenderedGraphRepresentation.h.

## ◆ SetVertexIconSelectionModeToAnnotationIcon()

virtual void vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToAnnotationIcon | ( |  | ) |
| inlinevirtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

Definition at line 151 of file vtkRenderedGraphRepresentation.h.

## ◆ SetVertexIconSelectionModeToIgnoreSelection()

virtual void vtkRenderedGraphRepresentation::SetVertexIconSelectionModeToIgnoreSelection | ( |  | ) |
| inlinevirtual

Set the mode to one of.

- vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon
- vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset
- vtkApplyIcons::ANNOTATION_ICON - use current annotation icon
- vtkApplyIcons::IGNORE_SELECTION - ignore selected elements

The default is IGNORE_SELECTION.

Definition at line 152 of file vtkRenderedGraphRepresentation.h.

## ◆ SetEdgeIconArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeIconArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEdgeIconArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEdgeIconArrayName | ( |  | ) |
| virtual

## ◆ SetEdgeIconPriorityArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeIconPriorityArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEdgeIconPriorityArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEdgeIconPriorityArrayName | ( |  | ) |
| virtual

## ◆ SetEdgeIconVisibility()

virtual void vtkRenderedGraphRepresentation::SetEdgeIconVisibility | ( | bool | b | ) |
| virtual

## ◆ GetEdgeIconVisibility()

virtual bool vtkRenderedGraphRepresentation::GetEdgeIconVisibility | ( |  | ) |
| virtual

## ◆ EdgeIconVisibilityOn()

virtual void vtkRenderedGraphRepresentation::EdgeIconVisibilityOn | ( |  | ) |
| virtual

## ◆ EdgeIconVisibilityOff()

virtual void vtkRenderedGraphRepresentation::EdgeIconVisibilityOff | ( |  | ) |
| virtual

## ◆ AddEdgeIconType()

virtual void vtkRenderedGraphRepresentation::AddEdgeIconType | ( | const char * | name,
|  | int | type
| ) |  |
| virtual

## ◆ ClearEdgeIconTypes()

virtual void vtkRenderedGraphRepresentation::ClearEdgeIconTypes | ( |  | ) |
| virtual

## ◆ SetUseEdgeIconTypeMap()

virtual void vtkRenderedGraphRepresentation::SetUseEdgeIconTypeMap | ( | bool | b | ) |
| virtual

## ◆ GetUseEdgeIconTypeMap()

virtual bool vtkRenderedGraphRepresentation::GetUseEdgeIconTypeMap | ( |  | ) |
| virtual

## ◆ UseEdgeIconTypeMapOn()

virtual void vtkRenderedGraphRepresentation::UseEdgeIconTypeMapOn | ( |  | ) |
| virtual

## ◆ UseEdgeIconTypeMapOff()

virtual void vtkRenderedGraphRepresentation::UseEdgeIconTypeMapOff | ( |  | ) |
| virtual

## ◆ SetEdgeIconAlignment()

virtual void vtkRenderedGraphRepresentation::SetEdgeIconAlignment | ( | int | align | ) |
| virtual

## ◆ GetEdgeIconAlignment()

virtual int vtkRenderedGraphRepresentation::GetEdgeIconAlignment | ( |  | ) |
| virtual

## ◆ SetColorVerticesByArray()

virtual void vtkRenderedGraphRepresentation::SetColorVerticesByArray | ( | bool | b | ) |
| virtual

## ◆ GetColorVerticesByArray()

virtual bool vtkRenderedGraphRepresentation::GetColorVerticesByArray | ( |  | ) |
| virtual

## ◆ ColorVerticesByArrayOn()

virtual void vtkRenderedGraphRepresentation::ColorVerticesByArrayOn | ( |  | ) |
| virtual

## ◆ ColorVerticesByArrayOff()

virtual void vtkRenderedGraphRepresentation::ColorVerticesByArrayOff | ( |  | ) |
| virtual

## ◆ SetVertexColorArrayName()

virtual void vtkRenderedGraphRepresentation::SetVertexColorArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetVertexColorArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetVertexColorArrayName | ( |  | ) |
| virtual

## ◆ SetColorEdgesByArray()

virtual void vtkRenderedGraphRepresentation::SetColorEdgesByArray | ( | bool | b | ) |
| virtual

## ◆ GetColorEdgesByArray()

virtual bool vtkRenderedGraphRepresentation::GetColorEdgesByArray | ( |  | ) |
| virtual

## ◆ ColorEdgesByArrayOn()

virtual void vtkRenderedGraphRepresentation::ColorEdgesByArrayOn | ( |  | ) |
| virtual

## ◆ ColorEdgesByArrayOff()

virtual void vtkRenderedGraphRepresentation::ColorEdgesByArrayOff | ( |  | ) |
| virtual

## ◆ SetEdgeColorArrayName()

virtual void vtkRenderedGraphRepresentation::SetEdgeColorArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEdgeColorArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEdgeColorArrayName | ( |  | ) |
| virtual

## ◆ SetEnableVerticesByArray()

virtual void vtkRenderedGraphRepresentation::SetEnableVerticesByArray | ( | bool | b | ) |
| virtual

## ◆ GetEnableVerticesByArray()

virtual bool vtkRenderedGraphRepresentation::GetEnableVerticesByArray | ( |  | ) |
| virtual

## ◆ EnableVerticesByArrayOn()

virtual void vtkRenderedGraphRepresentation::EnableVerticesByArrayOn | ( |  | ) |
| virtual

## ◆ EnableVerticesByArrayOff()

virtual void vtkRenderedGraphRepresentation::EnableVerticesByArrayOff | ( |  | ) |
| virtual

## ◆ SetEnabledVerticesArrayName()

virtual void vtkRenderedGraphRepresentation::SetEnabledVerticesArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEnabledVerticesArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEnabledVerticesArrayName | ( |  | ) |
| virtual

## ◆ SetEnableEdgesByArray()

virtual void vtkRenderedGraphRepresentation::SetEnableEdgesByArray | ( | bool | b | ) |
| virtual

## ◆ GetEnableEdgesByArray()

virtual bool vtkRenderedGraphRepresentation::GetEnableEdgesByArray | ( |  | ) |
| virtual

## ◆ EnableEdgesByArrayOn()

virtual void vtkRenderedGraphRepresentation::EnableEdgesByArrayOn | ( |  | ) |
| virtual

## ◆ EnableEdgesByArrayOff()

virtual void vtkRenderedGraphRepresentation::EnableEdgesByArrayOff | ( |  | ) |
| virtual

## ◆ SetEnabledEdgesArrayName()

virtual void vtkRenderedGraphRepresentation::SetEnabledEdgesArrayName | ( | const char * | name | ) |
| virtual

## ◆ GetEnabledEdgesArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetEnabledEdgesArrayName | ( |  | ) |
| virtual

## ◆ SetEdgeVisibility()

virtual void vtkRenderedGraphRepresentation::SetEdgeVisibility | ( | bool | b | ) |
| virtual

## ◆ GetEdgeVisibility()

virtual bool vtkRenderedGraphRepresentation::GetEdgeVisibility | ( |  | ) |
| virtual

## ◆ EdgeVisibilityOn()

virtual void vtkRenderedGraphRepresentation::EdgeVisibilityOn | ( |  | ) |
| virtual

## ◆ EdgeVisibilityOff()

virtual void vtkRenderedGraphRepresentation::EdgeVisibilityOff | ( |  | ) |
| virtual

## ◆ SetEdgeSelection()

void vtkRenderedGraphRepresentation::SetEdgeSelection | ( | bool | b | ) |

## ◆ GetEdgeSelection()

bool vtkRenderedGraphRepresentation::GetEdgeSelection | ( |  | ) |

## ◆ SetLayoutStrategy() [1/2]

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategy | ( | vtkGraphLayoutStrategy * | strategy | ) |
| virtual

Set/get the graph layout strategy.

## ◆ GetLayoutStrategy()

virtual vtkGraphLayoutStrategy* vtkRenderedGraphRepresentation::GetLayoutStrategy | ( |  | ) |
| virtual

Set/get the graph layout strategy.

## ◆ SetLayoutStrategy() [2/2]

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategy | ( | const char * | name | ) |
| virtual

Get/set the layout strategy by name.

## ◆ GetLayoutStrategyName()

virtual char* vtkRenderedGraphRepresentation::GetLayoutStrategyName | ( |  | ) |
| virtual

Get/set the layout strategy by name.

## ◆ SetLayoutStrategyToRandom()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToRandom | ( |  | ) |
| inline

Set predefined layout strategies.

Definition at line 241 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToForceDirected()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToForceDirected | ( |  | ) |
| inline

Definition at line 242 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToSimple2D()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToSimple2D | ( |  | ) |
| inline

Definition at line 243 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToClustering2D()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToClustering2D | ( |  | ) |
| inline

Definition at line 244 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToCommunity2D()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToCommunity2D | ( |  | ) |
| inline

Definition at line 245 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToFast2D()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToFast2D | ( |  | ) |
| inline

Definition at line 246 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToPassThrough()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToPassThrough | ( |  | ) |
| inline

Definition at line 247 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToCircular()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToCircular | ( |  | ) |
| inline

Definition at line 248 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToTree() [1/2]

void vtkRenderedGraphRepresentation::SetLayoutStrategyToTree | ( |  | ) |
| inline

Definition at line 249 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToCosmicTree() [1/2]

void vtkRenderedGraphRepresentation::SetLayoutStrategyToCosmicTree | ( |  | ) |
| inline

Definition at line 250 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToCone()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToCone | ( |  | ) |
| inline

Definition at line 251 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToSpanTree()

void vtkRenderedGraphRepresentation::SetLayoutStrategyToSpanTree | ( |  | ) |
| inline

Definition at line 252 of file vtkRenderedGraphRepresentation.h.

## ◆ SetLayoutStrategyToAssignCoordinates()

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategyToAssignCoordinates | ( | const char * | xarr,
|  | const char * | yarr = `nullptr`,
|  | const char * | zarr = `nullptr`
| ) |  |
| virtual

Set the layout strategy to use coordinates from arrays.

The x array must be specified. The y and z arrays are optional.

## ◆ SetLayoutStrategyToTree() [2/2]

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategyToTree | ( | bool | radial,
|  | double | angle = `90`,
|  | double | leafSpacing = `0.9`,
|  | double | logSpacing = `1.0`
| ) |  |
| virtual

Set the layout strategy to a tree layout.

Radial indicates whether to do a radial or standard top-down tree layout. The angle parameter is the angular distance spanned by the tree. Leaf spacing is a value from 0 to 1 indicating how much of the radial layout should be allocated to leaf nodes (as opposed to between tree branches). The log spacing value is a non-negative value where > 1 will create expanding levels, < 1 will create contracting levels, and = 1 makes all levels the same size. See vtkTreeLayoutStrategy for more information.

## ◆ SetLayoutStrategyToCosmicTree() [2/2]

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategyToCosmicTree | ( | const char * | nodeSizeArrayName,
|  | bool | sizeLeafNodesOnly = `true`,
|  | int | layoutDepth = `0`,
|  | vtkIdType | layoutRoot = `-1`
| ) |  |
| virtual

Set the layout strategy to a cosmic tree layout.

nodeSizeArrayName is the array used to size the circles (default is nullptr, which makes leaf nodes the same size). sizeLeafNodesOnly only uses the leaf node sizes, and computes the parent size as the sum of the child sizes (default true). layoutDepth stops layout at a certain depth (default is 0, which does the entire tree). layoutRoot is the vertex that will be considered the root node of the layout (default is -1, which will use the tree's root). See vtkCosmicTreeLayoutStrategy for more information.

## ◆ SetEdgeLayoutStrategy() [1/2]

virtual void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategy | ( | vtkEdgeLayoutStrategy * | strategy | ) |
| virtual

Set/get the graph layout strategy.

## ◆ GetEdgeLayoutStrategy()

virtual vtkEdgeLayoutStrategy* vtkRenderedGraphRepresentation::GetEdgeLayoutStrategy | ( |  | ) |
| virtual

Set/get the graph layout strategy.

## ◆ SetEdgeLayoutStrategyToArcParallel()

void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToArcParallel | ( |  | ) |
| inline

Set/get the graph layout strategy.

Definition at line 296 of file vtkRenderedGraphRepresentation.h.

## ◆ SetEdgeLayoutStrategyToPassThrough()

void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToPassThrough | ( |  | ) |
| inline

Set/get the graph layout strategy.

Definition at line 297 of file vtkRenderedGraphRepresentation.h.

## ◆ SetEdgeLayoutStrategyToGeo()

virtual void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyToGeo | ( | double | explodeFactor = `0.2` | ) |
| virtual

Set the edge layout strategy to a geospatial arced strategy appropriate for vtkGeoView.

## ◆ SetEdgeLayoutStrategy() [2/2]

virtual void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategy | ( | const char * | name | ) |
| virtual

Set the edge layout strategy by name.

## ◆ GetEdgeLayoutStrategyName()

virtual char* vtkRenderedGraphRepresentation::GetEdgeLayoutStrategyName | ( |  | ) |
| virtual

Set the edge layout strategy by name.

## ◆ ApplyViewTheme()

void vtkRenderedGraphRepresentation::ApplyViewTheme | ( | vtkViewTheme * | theme | ) |
| override

Apply a theme to this representation.

## ◆ SetGlyphType()

virtual void vtkRenderedGraphRepresentation::SetGlyphType | ( | int | type | ) |
| virtual

Set the graph vertex glyph type.

## ◆ GetGlyphType()

virtual int vtkRenderedGraphRepresentation::GetGlyphType | ( |  | ) |
| virtual

Set the graph vertex glyph type.

## ◆ SetScaling()

virtual void vtkRenderedGraphRepresentation::SetScaling | ( | bool | b | ) |
| virtual

Set whether to scale vertex glyphs.

## ◆ GetScaling()

virtual bool vtkRenderedGraphRepresentation::GetScaling | ( |  | ) |
| virtual

Set whether to scale vertex glyphs.

## ◆ ScalingOn()

virtual void vtkRenderedGraphRepresentation::ScalingOn | ( |  | ) |
| virtual

Set whether to scale vertex glyphs.

## ◆ ScalingOff()

virtual void vtkRenderedGraphRepresentation::ScalingOff | ( |  | ) |
| virtual

Set whether to scale vertex glyphs.

## ◆ SetScalingArrayName()

virtual void vtkRenderedGraphRepresentation::SetScalingArrayName | ( | const char * | name | ) |
| virtual

Set the glyph scaling array name.

## ◆ GetScalingArrayName()

virtual const char* vtkRenderedGraphRepresentation::GetScalingArrayName | ( |  | ) |
| virtual

Set the glyph scaling array name.

## ◆ SetVertexScalarBarVisibility()

virtual void vtkRenderedGraphRepresentation::SetVertexScalarBarVisibility | ( | bool | b | ) |
| virtual

Vertex/edge scalar bar visibility.

## ◆ GetVertexScalarBarVisibility()

virtual bool vtkRenderedGraphRepresentation::GetVertexScalarBarVisibility | ( |  | ) |
| virtual

Vertex/edge scalar bar visibility.

## ◆ SetEdgeScalarBarVisibility()

virtual void vtkRenderedGraphRepresentation::SetEdgeScalarBarVisibility | ( | bool | b | ) |
| virtual

Vertex/edge scalar bar visibility.

## ◆ GetEdgeScalarBarVisibility()

virtual bool vtkRenderedGraphRepresentation::GetEdgeScalarBarVisibility | ( |  | ) |
| virtual

Vertex/edge scalar bar visibility.

## ◆ GetVertexScalarBar()

virtual vtkScalarBarWidget* vtkRenderedGraphRepresentation::GetVertexScalarBar | ( |  | ) |
| virtual

Obtain the scalar bar widget used to draw a legend for the vertices/edges.

## ◆ GetEdgeScalarBar()

virtual vtkScalarBarWidget* vtkRenderedGraphRepresentation::GetEdgeScalarBar | ( |  | ) |
| virtual

Obtain the scalar bar widget used to draw a legend for the vertices/edges.

## ◆ IsLayoutComplete()

virtual bool vtkRenderedGraphRepresentation::IsLayoutComplete | ( |  | ) |
| virtual

Whether the current graph layout is complete.

## ◆ UpdateLayout()

virtual void vtkRenderedGraphRepresentation::UpdateLayout | ( |  | ) |
| virtual

Performs another iteration on the graph layout.

## ◆ ComputeSelectedGraphBounds()

void vtkRenderedGraphRepresentation::ComputeSelectedGraphBounds | ( | double | bounds[6] | ) |

Compute the bounding box of the selected subgraph.

## ◆ AddToView()

bool vtkRenderedGraphRepresentation::AddToView | ( | vtkView * | view | ) |
| overrideprotected

Called by the view to add/remove this representation.

## ◆ RemoveFromView()

bool vtkRenderedGraphRepresentation::RemoveFromView | ( | vtkView * | view | ) |
| overrideprotected

Called by the view to add/remove this representation.

## ◆ PrepareForRendering()

void vtkRenderedGraphRepresentation::PrepareForRendering | ( | vtkRenderView * | view | ) |
| overrideprotectedvirtual

The view will call this method before every render.

Representations may add their own pre-render logic here.

Reimplemented from vtkRenderedRepresentation.

## ◆ ConvertSelection()

vtkSelection* vtkRenderedGraphRepresentation::ConvertSelection | ( | vtkView * | view,
|  | vtkSelection * | selection
| ) |  |
| overrideprotectedvirtual

Convert the selection to a type appropriate for sharing with other representations through vtkAnnotationLink, possibly using the view.

For the superclass, we just return the same selection. Subclasses may do something more fancy, like convert the selection from a frustrum to a list of pedigree ids. If the selection cannot be applied to this representation, return nullptr.

Reimplemented from vtkDataRepresentation.

Reimplemented in vtkRenderedHierarchyRepresentation.

## ◆ GetHoverStringInternal()

std::string vtkRenderedGraphRepresentation::GetHoverStringInternal | ( | vtkSelection * |  | ) |
| overrideprotectedvirtual

Subclasses may override this method to generate the hover text.

Reimplemented from vtkRenderedRepresentation.

## ◆ RequestData()

int vtkRenderedGraphRepresentation::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector
| ) |  |
| overrideprotectedvirtual

Connect inputs to internal pipeline.

Reimplemented from vtkDataRepresentation.

Reimplemented in vtkRenderedHierarchyRepresentation.

## ◆ SetVertexColorArrayNameInternal()

virtual void vtkRenderedGraphRepresentation::SetVertexColorArrayNameInternal | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetVertexColorArrayNameInternal()

virtual char* vtkRenderedGraphRepresentation::GetVertexColorArrayNameInternal | ( |  | ) |
| protectedvirtual

## ◆ SetEdgeColorArrayNameInternal()

virtual void vtkRenderedGraphRepresentation::SetEdgeColorArrayNameInternal | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetEdgeColorArrayNameInternal()

virtual char* vtkRenderedGraphRepresentation::GetEdgeColorArrayNameInternal | ( |  | ) |
| protectedvirtual

## ◆ SetScalingArrayNameInternal()

virtual void vtkRenderedGraphRepresentation::SetScalingArrayNameInternal | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetScalingArrayNameInternal()

virtual char* vtkRenderedGraphRepresentation::GetScalingArrayNameInternal | ( |  | ) |
| protectedvirtual

## ◆ SetLayoutStrategyName()

virtual void vtkRenderedGraphRepresentation::SetLayoutStrategyName | ( | const char * |  | ) |
| protectedvirtual

## ◆ SetEdgeLayoutStrategyName()

virtual void vtkRenderedGraphRepresentation::SetEdgeLayoutStrategyName | ( | const char * |  | ) |
| protectedvirtual

## Member Data Documentation

## ◆ ApplyColors

vtkSmartPointer<vtkApplyColors> vtkRenderedGraphRepresentation::ApplyColors
| protected

Internal filter classes.

Definition at line 408 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexDegree

vtkSmartPointer<vtkVertexDegree> vtkRenderedGraphRepresentation::VertexDegree
| protected

Internal filter classes.

Definition at line 409 of file vtkRenderedGraphRepresentation.h.

## ◆ EmptyPolyData

vtkSmartPointer<vtkPolyData> vtkRenderedGraphRepresentation::EmptyPolyData
| protected

Internal filter classes.

Definition at line 410 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeCenters

vtkSmartPointer<vtkEdgeCenters> vtkRenderedGraphRepresentation::EdgeCenters
| protected

Internal filter classes.

Definition at line 411 of file vtkRenderedGraphRepresentation.h.

## ◆ GraphToPoints

vtkSmartPointer<vtkGraphToPoints> vtkRenderedGraphRepresentation::GraphToPoints
| protected

Internal filter classes.

Definition at line 412 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexLabelHierarchy

vtkSmartPointer<vtkPointSetToLabelHierarchy> vtkRenderedGraphRepresentation::VertexLabelHierarchy
| protected

Internal filter classes.

Definition at line 413 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeLabelHierarchy

vtkSmartPointer<vtkPointSetToLabelHierarchy> vtkRenderedGraphRepresentation::EdgeLabelHierarchy
| protected

Internal filter classes.

Definition at line 414 of file vtkRenderedGraphRepresentation.h.

## ◆ Layout

vtkSmartPointer<vtkGraphLayout> vtkRenderedGraphRepresentation::Layout
| protected

Internal filter classes.

Definition at line 415 of file vtkRenderedGraphRepresentation.h.

## ◆ Coincident

vtkSmartPointer<vtkPerturbCoincidentVertices> vtkRenderedGraphRepresentation::Coincident
| protected

Internal filter classes.

Definition at line 416 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeLayout

vtkSmartPointer<vtkEdgeLayout> vtkRenderedGraphRepresentation::EdgeLayout
| protected

Internal filter classes.

Definition at line 417 of file vtkRenderedGraphRepresentation.h.

## ◆ GraphToPoly

vtkSmartPointer<vtkGraphToPolyData> vtkRenderedGraphRepresentation::GraphToPoly
| protected

Internal filter classes.

Definition at line 418 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeMapper

vtkSmartPointer<vtkPolyDataMapper> vtkRenderedGraphRepresentation::EdgeMapper
| protected

Internal filter classes.

Definition at line 419 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeActor

vtkSmartPointer<vtkActor> vtkRenderedGraphRepresentation::EdgeActor
| protected

Internal filter classes.

Definition at line 420 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexGlyph

vtkSmartPointer<vtkGraphToGlyphs> vtkRenderedGraphRepresentation::VertexGlyph
| protected

Internal filter classes.

Definition at line 421 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexMapper

vtkSmartPointer<vtkPolyDataMapper> vtkRenderedGraphRepresentation::VertexMapper
| protected

Internal filter classes.

Definition at line 422 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexActor

vtkSmartPointer<vtkActor> vtkRenderedGraphRepresentation::VertexActor
| protected

Internal filter classes.

Definition at line 423 of file vtkRenderedGraphRepresentation.h.

## ◆ OutlineGlyph

vtkSmartPointer<vtkGraphToGlyphs> vtkRenderedGraphRepresentation::OutlineGlyph
| protected

Internal filter classes.

Definition at line 424 of file vtkRenderedGraphRepresentation.h.

## ◆ OutlineMapper

vtkSmartPointer<vtkPolyDataMapper> vtkRenderedGraphRepresentation::OutlineMapper
| protected

Internal filter classes.

Definition at line 425 of file vtkRenderedGraphRepresentation.h.

## ◆ OutlineActor

vtkSmartPointer<vtkActor> vtkRenderedGraphRepresentation::OutlineActor
| protected

Internal filter classes.

Definition at line 426 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexScalarBar

vtkSmartPointer<vtkScalarBarWidget> vtkRenderedGraphRepresentation::VertexScalarBar
| protected

Internal filter classes.

Definition at line 427 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeScalarBar

vtkSmartPointer<vtkScalarBarWidget> vtkRenderedGraphRepresentation::EdgeScalarBar
| protected

Internal filter classes.

Definition at line 428 of file vtkRenderedGraphRepresentation.h.

## ◆ RemoveHiddenGraph

vtkSmartPointer<vtkRemoveHiddenData> vtkRenderedGraphRepresentation::RemoveHiddenGraph
| protected

Internal filter classes.

Definition at line 429 of file vtkRenderedGraphRepresentation.h.

## ◆ ApplyVertexIcons

vtkSmartPointer<vtkApplyIcons> vtkRenderedGraphRepresentation::ApplyVertexIcons
| protected

Internal filter classes.

Definition at line 430 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexIconPoints

vtkSmartPointer<vtkGraphToPoints> vtkRenderedGraphRepresentation::VertexIconPoints
| protected

Internal filter classes.

Definition at line 431 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexIconTransform

vtkSmartPointer<vtkTransformCoordinateSystems> vtkRenderedGraphRepresentation::VertexIconTransform
| protected

Internal filter classes.

Definition at line 432 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexIconGlyph

vtkSmartPointer<vtkIconGlyphFilter> vtkRenderedGraphRepresentation::VertexIconGlyph
| protected

Internal filter classes.

Definition at line 433 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexIconMapper

vtkSmartPointer<vtkPolyDataMapper2D> vtkRenderedGraphRepresentation::VertexIconMapper
| protected

Internal filter classes.

Definition at line 434 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexIconActor

vtkSmartPointer<vtkTexturedActor2D> vtkRenderedGraphRepresentation::VertexIconActor
| protected

Internal filter classes.

Definition at line 435 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexHoverArrayName

char* vtkRenderedGraphRepresentation::VertexHoverArrayName
| protected

Definition at line 438 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeHoverArrayName

char* vtkRenderedGraphRepresentation::EdgeHoverArrayName
| protected

Definition at line 439 of file vtkRenderedGraphRepresentation.h.

## ◆ VertexColorArrayNameInternal

char* vtkRenderedGraphRepresentation::VertexColorArrayNameInternal
| protected

Definition at line 443 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeColorArrayNameInternal

char* vtkRenderedGraphRepresentation::EdgeColorArrayNameInternal
| protected

Definition at line 447 of file vtkRenderedGraphRepresentation.h.

## ◆ ScalingArrayNameInternal

char* vtkRenderedGraphRepresentation::ScalingArrayNameInternal
| protected

Definition at line 451 of file vtkRenderedGraphRepresentation.h.

## ◆ LayoutStrategyName

char* vtkRenderedGraphRepresentation::LayoutStrategyName
| protected

Definition at line 454 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeLayoutStrategyName

char* vtkRenderedGraphRepresentation::EdgeLayoutStrategyName
| protected

Definition at line 456 of file vtkRenderedGraphRepresentation.h.

## ◆ HideVertexLabelsOnInteraction

bool vtkRenderedGraphRepresentation::HideVertexLabelsOnInteraction
| protected

Definition at line 457 of file vtkRenderedGraphRepresentation.h.

## ◆ HideEdgeLabelsOnInteraction

bool vtkRenderedGraphRepresentation::HideEdgeLabelsOnInteraction
| protected

Definition at line 458 of file vtkRenderedGraphRepresentation.h.

## ◆ EdgeSelection

bool vtkRenderedGraphRepresentation::EdgeSelection
| protected

Definition at line 460 of file vtkRenderedGraphRepresentation.h.

The documentation for this class was generated from the following file:

- Views/Infovis/vtkRenderedGraphRepresentation.h